Bug 180603 - preinstall scriptlet doesn't work so gkrellmd doesn't work either
preinstall scriptlet doesn't work so gkrellmd doesn't work either
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-09 06:09 EST by Radek Bíba
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-10 11:31:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2006-02-09 06:09:43 EST
Description of problem:
Installation of gkrellm-daemon silently fails to create group and user gkrellmd
in case group 101 already exists. On my system, group 101 is owned by user
beagleindex from package beagle:

beagleindex:x:100:101:User for Beagle indexing:/var/cache/beagle:/bin/bash

while gkrellm-daemon contains this in preinstall section:

/usr/sbin/groupadd -g 101 gkrellmd 2>/dev/null ||:
/usr/sbin/useradd -u 101 -s /sbin/nologin -M -d / -c "GNU Krell daemon" -r -g
gkrellmd gkrellmd 2>/dev/null ||:

- neither of the commands above can succeed, then. If I run it manually without
the redirection to /dev/null I get:

groupadd: GID 101 is not unique
useradd: unknown group gkrellmd

As you can see in /etc/{group,passwd} there's no gkrellmd user/group. If you
try to start gkrellmd with its default settings you get:

Starting gkrellmd: runuser: user gkrellmd does not exist
                                                           [FAILED]

Version-Release number of selected component (if applicable):
gkrellm-daemon-2.2.7-5.1

How reproducible:
Always

Steps to Reproduce:
see above
  
Actual results:
gkrellmd cannot be started

Expected results:
gkrellmd probably shouldn't want to create a group and user with explicitly
given numbers but rather use 'groupadd -r'. As for useradd, it already uses
'-r' so it's supposed to work as expected without that '-u 101'.
Comment 1 Karsten Hopp 2006-02-09 06:31:10 EST
That's beagles fault as it grabbed one of the reserved uid/gid's. Beagle needs
to reserve it's own uid/gid pair in the setup package and not just grab one.

Note: all Red Hat packages which need an uid/gid below 1000 need to be added
to the uidgid file in the setup package !!
Comment 2 Radek Bíba 2006-02-09 06:41:37 EST
Ah, I didn't know that. Thanks Karsten.
Comment 3 Alexander Larsson 2006-02-10 04:21:46 EST
Fixing this in 0.2.1-3

Note You need to log in before you can comment on or make changes to this bug.